/*Author: Morrison
Date: 2022-01-21  */
addEventListener("load", main);
function main()
{
    let surface = document.getElementById("surface");
    let pen = surface.getContext("2d");
    let redButton = document.getElementById("redButton");
    let sizeSlider = document.getElementById("sizeSlider");
    let currentColor = "black";
    let currentSize = 100;
    sizeSlider.addEventListener("input", () =>
    {
        currentSize = Number(sizeSlider.value);
    });
    redButton.addEventListener("click", () =>
    {
        currentColor = "red";
    });
    surface.addEventListener("click", (e) =>
    {
        pen.fillStyle = currentColor;
        pen.fillRect(e.offsetX -currentSize/2, e.offsetY - currentSize/2, 
            currentSize, currentSize);
    });   //sad santa
}
